:root {
  --balloon-height: 0;
}


@keyframes cross {
  0% {
    position: absolute;
    right: -5%;
    transform: rotate(0deg);
  }
  20% {
    transform: rotate(32deg);
  }
  40% {
    transform: rotate(-10deg);
  }
  60% {
    transform: rotate(32deg)
  }
  80% {
    transform: rotate(-10deg)
  }
  88% {
    transform: rotate(0deg);
  }
  100% {
    position: absolute;
    right: 110%;
    transform: rotate(32deg);
  }
} /* animation: cross --/ */




/*** FONTS ***/
@font-face {
  /* https://velvetyne.fr/fonts/facade/ */
  font-family: facadeOest; /* set name */
  src: url(fonts/Facade-Ouest.otf); /* url of the font */
}

@font-face {
/* https://velvetyne.fr/fonts/sligoil */
  font-family: sligoilMicro; /* set name */
  src: url(fonts/Sligoil-Micro.otf); /* url of the font */
}

@font-face {
/* https://www.fontbros.com/font-family/wireframe?utm_source=HaroldsFonts */
  font-family: wireframe; /* set name */
  src: url(fonts/wireframe-regular.otf); /* url of the font */
}

@font-face {
/* https://www.fontbros.com/font-family/wireframe?utm_source=HaroldsFonts */
  font-family: sweet; /* set name */
  src: url(fonts/04B_30__.ttf); /* url of the font */
}

@font-face {
/* https://www.dafont.com/nymphette.font */
  font-family: nymphette; /* set name */
  src: url(fonts/Nymphette.ttf); /* url of the font */
}

.nymphette {
  font-family:'Nymphette';}





/** -- FONTS --/ **/

/* TOOLTIPS */ 
/* https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_tooltip */

.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 100%;
    background-color: deeppink;
    font-family: 'sligoilMicro';
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 9999;
    bottom: -20%;
    left: 0;
    opacity: 0;
    transition: opacity 0.3s;
    cursor: pointer;
}

.tooltip .tooltiptext::after {
  /*content: "";*/
  /*position: absolute;*/
  /*top: 100%;*/
  /*left: 50%;*/
  /*margin-left: -5px;*/
  /*border-width: 5px;*/
  /*border-style: solid;*/
  /*border-color: #555 transparent transparent transparent;*/
  /*z-index: 9999;*/
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

/* -- TOOLTIPS -- */

.snapshot {
  border: 2px dashed darkorchid; }

.friends-box {
    display: grid;
    grid-template-columns: repeat(9, 88px);
    flex-wrap: wrap;
    gap: 5px;
  
  }

.friend-btn {
      width: 88px;
    height: 31px;
    object-fit: contain;
    transition: transform 0.2s ease, filter 0.2s ease;
    display: block;
    image-rendering: pixelated;
  }
  
  .friend-btn a img {
    max-width: 88px;}

.friend-btn:hover {
  transform: scale(1.5);}

html {
      background-color: #fed8de;
      cursor: url('assets/chococat.png'), pointer; /*https://dreambubble.neocities.org/mypixels*/}

body {
  color: black;
  font-family: 'facadeOest';
    height: 100%;
    width: 100%;
position: relative;
}

header {
  flex-grow: 2;
  flex-basis: 20%;
  /*flex-wrap: wrap;*/
}
#name-tag {
      display: flex;
    align-items: center;
    justify-content: center;
    background-color: rebeccapurple;
    margin-bottom: 15px;
    border: 1px dashed aliceblue;}
    
    #name-tag h1 {
      flex-basis:70%;}
      #name-tag img {
            border-radius: 83px;
    height: 57px;
    width: auto;}
header h1 {

    text-align: center;
    font-size: 18px;
color:white;
    letter-spacing: 5px;
    text-transform: uppercase;
    font-weight: bold;
    font-style: italic;}
  
header img {
  width: 80px;
  }

h1, h2, h3, h4, h5, h6, p, li, a {
    font-family: 'sligoilMicro';
  }
/*#gift {*/
/*  position: absolute;*/
/*  right: 0;*/
/*  bottom: var(--balloon-height);*/
/*  width: 82.5px;*/
/*  height: 135.75px;*/
/*  z-index: 10;*/
/*  background-image: url('assets/gift.png');*/
/*  background-size: cover;*/
/*  animation-name: cross;*/
  /*animation-duration: 40s;*/
/*  animation-duration: 5s;*/
/*  animation-timing-function: linear;*/
/*  animation-iteration-count: infinite;*/
/*  animation-fill-mode: both;*/
/*  cursor: url('assets/slingshot.cur'), pointer;*/
/*  }*/
/*  #gift:hover {*/
/*    transform:scale(1.2)!important;*/
/*    }*/


#gift-wrapper {
  position: absolute;
  bottom: var(--balloon-height);
  right: 0;
width:100vw;
  height: 135.75px;
  z-index: 10;

}

#gift {
  z-index: 10;
    width: 82.5px;
  height: 135.75px;
  background-image: url('assets/gift.png');
  background-size: cover;
  animation-name: cross;
  animation-duration: 40s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-fill-mode: both;
  cursor: url('assets/slingshot.cur'), pointer;
}

nav {
  display: flex;
  justify-content: center;
  padding: 20px;
  border-radius: 500px 500px 0 0;
  background-color: #795e9a;
  position: relative;
  }

nav ul{
  list-style-type: none;
  padding: 0;
  display: flex;
    flex-direction: column;
    /*width: 200px;*/
    justify-content: center;
    align-items: center;
    gap: 20px;
}

nav ul li a {
  color: white;
  font-weight: bold;
  }

main {
 flex-grow: 3;
 flex-basis: 60%;
 
  
  }
  
  sidebar {
    flex-grow: 1;
    flex-basis: 20%;
    /*flex-wrap: wrap;*/
    }
    
    #around-town {
      position:absolute;
      right: 0;
      top: 0;
      width: 88px;
      height: auto;
      }
    
  #pink-frill {
     background-image: url(assets/pink-frill.png);
    background-size: cover;
    position: absolute;
    width: calc(100% + 25px);
    height: 60px;
    bottom: -41px;
    left: -11px;
    }
  
  #site-wrapper {
    display: flex;
    justify-content: space-around;
    gap: 10px;
    margin: 0 20px;
    /*flex-wrap: wrap;*/
    }
  
  #notebook {
    background: pink;
    padding: 20px;
    border-radius: 5px 20px 20px 20px;
    border-top: 7px solid magenta;
    /*width: 800px;*/
    height: 615px;
    text-align: left;
    overflow-x: hidden;
    overflow-y: scroll;
    }
    
    #notebook-container {
    
}

    .notebook-header-container {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 0;
    }
    
    .notebook--header {
      margin:0;
      text-align: center;
      background-color: magenta;
      color: white;
      font-style: bold;
      height: 40px;
      display: flex;
      justify-content: center;
      align-items: center;
      box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1);
      padding: 5px 15px;
      font-size: 28px;
      transform: rotate(3deg);
      transition: 2s all;
      z-index: 1;
      transform: translate(0, 10%) rotate(3deg);
      position: sticky;
    }
      
    .notebook--header:hover {
      transform: rotate(-3deg) translate(0,10%);
    }
  

    

.card {
  max-width: 900px;
  border: 3px solid pink;
  border-radius: 10px;
box-shadow: 10px 10px pink;
  padding: 20px 10px; 
  cursor: pointer;
  transition: 1s all;}



  

.card:hover {
  box-shadow: none;
  }